[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# EndThread

End the current thread.

## Declaration

Source position: threadh.inc line 144

`procedure EndThread(`
`ExitCode: DWord`
`); procedure EndThread;`

## Description

EndThread ends the current thread. If ExitCode is supplied, it is returned as the exit code for the thread to a function waiting for the thread to terminate (WaitForThreadTerminate). If it is omitted, zero is used.

This function does not return.

## See also

WaitForThreadTerminate |  | Wait for a thread to terminate.
BeginThread |  | Start a new thread.